"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTestEachVariables = void 0;
var matchList = [
    'describe.each',
    'describe.only.each',
    'describe.skip.each',
    'test.concurrent.each',
    'test.concurrent.failing.each',
    'test.concurrent.only.each',
    'test.concurrent.skip.each',
    'test.each',
    'test.failing.each',
    'test.only.each',
    'test.skip.each'
];
/**
 * jest eachの変数を取得する
 * @param node
 */
function getTestEachVariables(node, sourceCode) {
    // rangeとlocがなければ終了;
    var range = node.range, loc = node.loc;
    if (range === undefined || loc === null || loc === undefined) {
        return;
    }
    // test.eachでなければ終了
    var source = sourceCode.getText(node);
    var match = matchList.map(function (m) { return source.match(new RegExp("^".concat(m.replace('.', '\.'), ".*"))); }).filter(function (f) { return f !== null; });
    if (match.length === 0 || match[0].length === 0) {
        return;
    }
    var matchString = match[0][0].split('`')[0];
    // テンプレート文字列を取得
    var _a = node.quasi.quasis
        .map(function (m) { return m.value.raw.replace(/ /g, '').replace(/\r/g, '').replace(/\n/g, ''); })
        .filter(function (f) { return f !== ''; }), headerArray = _a[0], templateString = _a.slice(1);
    var header = headerArray.split('|');
    return {
        range: range,
        loc: loc,
        source: source,
        header: header,
        matchString: matchString,
        splitCharCount: templateString.length
    };
}
exports.getTestEachVariables = getTestEachVariables;
